"Achieve orbit" not detected with an AP outside of the SOI
01/01/2015 02:20 PM - Anonymous
Description
When orbiting the Mun without upgrading the tracking station first,

a) "Explore the Mun: Achieve Orbit" contract is impossible to finish (orbit is not recognized even when controls are idle)
b) "Return of a vessel from the orbit around the Mun" does not appear on recovery (only from orbit around Kerbin is displayed)

Note that "Get Science from Mun Space" contracts are still possible to finish, just not "achieve orbit".

History

#1 - 01/01/2015 03:22 PM - Anonymous

Ok, my bad. Both get recognized when a smaller orbit is chosen (but however no maximal orbit size is given in the contract).
It would be nice to know if this behaviour is independent of the tracking station upgrade (but | cannot afford it yet).

#2 - 01/02/2015 09:11 AM - Squelch

- Status changed from New to Need More Info

Do you have some data on the contract parameters, and the orbits you found to work in relation to those?

If there is an upper limit to the orbit, and this is not being specified in the contract, then this could be considered a bug. We really need more
information, and comprehensive reproduction steps to be able to forward this for attention.

#3 - 01/02/2015 01:11 PM - Anonymous

So | started a new Career save to start this mission again and | just describe the steps.
1. Start a career save

2. Activate debug mode

3. Finish contracts until "Explore the Mun" appears, accept it

4. Launch a vessel and enter the Mun SOI

5. At the periapsis, burn to lower the apoapsis, attain orbit

"Achieve orbit around the Mun" is not finished
It is however possible to "Recover science from space around the Mun"

The vessel is in orbit but its situation is still shown as "ESCAPING" in the vessel view.
In the tracking station it is shown as "On escape trajactory out of the Mun" even if AP and PE are visible in the map.

6. Return to the vessel: It will actually return to Kerbin orbit even if in orbit around the Mun! It will just change SOI without further warning.
7. Or instead circularize. At an apoapsis of ~2.2Mm the situation will switch to ORBITING and the contract is fulfilled.
Maybe the name of this ticket should be changed, but it seems | cannot do this as a normal user.

#4 - 01/02/2015 01:38 PM - RexKramer

I'm going to take a guess here. Before you have patched conics, orbits around Mun (for example) will be drawn as closed, even though the orbit is
large enough that you will escape.

In other words, even though your current trajectory is actually an escape trajectory, it will be depicted as a closed orbit. I'm not sure if this is a bug, or
an intended effect of not having patched conics.

Squelch, maybe you can take a look and see if you think it's a bug, or intended behavior. Try the following-

1. Start a new career, or use one with no TS upgrades (no patched conics).

2. Head out to Mun SOI.

3. Note how upon entering Mun SOI you get closed orbits depicted, even though your trajectory will have enough energy to return to Kerbins SOI.
4. Close your Mun orbit at a reasonable AP/PE.

5. Burn to return to Kerbin, watching your orbit depiction in Map view.

6. Note that the Mun orbit depicted is drawn as closed far beyond the point where you will return to Kerbin SOL.

| think what nanobot is experiencing is the lack of patched conics is leading him to believe he is in a stable orbit around Mun, although he is actually
on an escape trajectory. Again, my guess is that this is an intended effect of not having patched conics, and not a bug.

#5 - 01/02/2015 01:43 PM - RexKramer

Another way to describe this is that without patched conics, SOI changes are not predictively displayed. The predicted change from Kerbin to Mun
SOl is not displayed, it just simply happens when you get there.

Likewise, the change back to Kerbins SOI from Mun SOl is also not predictively displayed. You can burn to raise your AP all you want, but the point
where you are projected to leave Mun SOl is not projected on the map view. It just happens when you get there..

I'm leaning strongly towards this being Not A Bug.

#6 - 01/02/2015 01:54 PM - Anonymous

RexKramer wrote:

I'm going to take a guess here. Before you have patched conics, orbits around Mun (for example) will be drawn as closed, even though the orbit
is large enough that you will escape.

In other words, even though your current trajectory is actually an escape trajectory, it will be depicted as a closed orbit. I'm not sure if this is a
bug, or an intended effect of not having patched conics.

Squelch, maybe you can take a look and see if you think it's a bug, or intended behavior. Try the following-

1. Start a new career, or use one with no TS upgrades (no patched conics).

2. Head out to Mun SOI.

3. Note how upon entering Mun SOI you get closed orbits depicted, even though your trajectory will have enough energy to return to Kerbins
SOl.

4. Close your Mun orbit at a reasonable AP/PE.

5. Burn to return to Kerbin, watching your orbit depiction in Map view.

6. Note that the Mun orbit depicted is drawn as closed far beyond the point where you will return to Kerbin SOI.

| think what nanobot is experiencing is the lack of patched conics is leading him to believe he is in a stable orbit around Mun, although he is
actually on an escape trajectory. Again, my guess is that this is an intended effect of not having patched conics, and not a bug.

But on SOI entry, the orbit is correctly drawn as a hyperbolic one, in flight mode (map view) and also in the tracking station. The orbit is a cone
intersection, but just not patched.

It is possible to lower the orbital energy to the point where the hyperbola closes to a ellipse.
Leaving the flight and re-entering it from the tracking station still keeps the "ESCAPING" state.
The vessel is ejected from the SOl in a closed orbit, and the orbit is correctly drawn either as hyperbola or ellipsis (after insertion burn).

| think the problem here is that the diameter of the artificial SOI in the game is too small to hold an orbit with such a high apoapsis even if it is not an
escape orbit technically.

Workaround: Update the contract such that it displays a maximal allowed apoapsis. This max. AP would ideally be inside the SOI of the body.

#7 - 01/02/2015 02:53 PM - RexKramer

Hmm. The way the game handles orbits, you do not need to have a parabolic or hyperbolic orbit to be considered 'escaping’, you just need to raise
the AP on an elliptic orbit to the point where you are no longer in that SOI. A hyperbolic orbit will be depicted as being 'open’, even with base level
tracking station. An elliptic orbit will still be depicted as a 'closed' orbit, even though it will eventually travel beyond the SOI.

| like your suggestion of wording the contract to specify having an orbit with AP within that body's SOI, or something to that effect.

#8 - 01/02/2015 09:01 PM - Squelch
- Subject changed from "Achieve orbit" not detected without Patched Conics upgrade to "Achieve orbit" not detected with an AP outside of the SO/

What might have been considered quirks in the map view up to this point, now have an impact when the limits of an undeveloped tracking station and
how contracts are fulfilled come into play. There have been reports in the past regarding how the display of trajectories have been misleading or hard
to manipulate.

The problem seems to be how the trajectories are predicted around the SOl boundaries, and this can lead the player into believing that they have set
the conditions for an orbit, but finding that it doesn't quite work out once the SOI changes. It's a mixture of a lack of information, and misleading
information with regards to the predicted trajectory when working with a limited tracking station.

By definition, an orbit is not achieved until the minor object is actually captured by the main body's SOI. This is particularly true for KSP, so any
predicted orbit should treated with caution.

I'm also of the opinion that this is not a true bug, but a confluence of idiosyncrasies within KSP. The workaround could well be a change to wording of
the contract to allow for this by specifying a maximum AP within the SOI. | think that is quite an elegant dodge without getting too complicated.

Would we be in agreement if this issue was changed to Feedback instead?
I've changed the title a little to define the condition.

#9 - 01/02/2015 09:22 PM - RexKramer

- Tracker changed from Bug to Feedback

- Severity changed from Normal to Low

| think either Feedback, or maybe Feature.

Simplest solution is to add contract wording to specify what constitutes an orbit. Not running KSP right now, but | think the info tab in map view may
list the SOI extent for each body.

#10 - 01/06/2015 02:55 AM - Anonymous

Is this still "Need More Info" or rather "Confirmed" ?

#11 - 01/06/2015 06:22 AM - Squelch

nanobot wrote:

Is this still "Need More Info" or rather "Confirmed" ?

Yes. It allows for discussion and suggestions on the feedback item. The confirmation is implied.

As we have now moved into beta, it is likely there will be bug squashing and polish applied at regular intervals. Items such as this which are a mixture
of ambiguities and oddities, will be pushed forward for attention and clarification.

#13 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification
